Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.keygenerator.hilo
Interface HiLoKeyGeneratorFactoryMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  HiLoKeyGeneratorFactory

public interface HiLoKeyGeneratorFactoryMBean
extends org.jboss.system.ServiceMBean

MBean interface.

Field Summary
`static javax.management.ObjectName` | `OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`long` | `getBlockSize()`
`String` | `getCreateTableDdl()`
`javax.management.ObjectName` | `getDataSource()`
`String` | `getFactoryName()`
`String` | `getIdColumnName()`
`String` | `getSequenceColumn()`
`String` | `getSequenceName()`
`String` | `getTableName()`
`void` | `setBlockSize(long blockSize)`
`void` | `setCreateTableDdl(String createTableDdl)`
`void` | `setDataSource(javax.management.ObjectName dataSource)`
`void` | `setFactoryName(String factoryName)`
`void` | `setIdColumnName(String idColumnName)`
`void` | `setSequenceColumn(String sequenceColumn)`
`void` | `setSequenceName(String sequenceName)`
`void` | `setTableName(String tableName)`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### OBJECT_NAME

    public static final javax.management.ObjectName OBJECT_NAME

Method Detail

### setFactoryName

    public void setFactoryName(String factoryName)

### getFactoryName

    public String getFactoryName()

### setDataSource

    public void setDataSource(javax.management.ObjectName dataSource)
                       throws Exception

  Throws:
    `Exception`

### getDataSource

    public javax.management.ObjectName getDataSource()

### getTableName

    public String getTableName()

### setTableName

    public void setTableName(String tableName)
                      throws Exception

  Throws:
    `Exception`

### getSequenceColumn

    public String getSequenceColumn()

### setSequenceColumn

    public void setSequenceColumn(String sequenceColumn)

### getSequenceName

    public String getSequenceName()

### setSequenceName

    public void setSequenceName(String sequenceName)

### getIdColumnName

    public String getIdColumnName()

### setIdColumnName

    public void setIdColumnName(String idColumnName)

### getCreateTableDdl

    public String getCreateTableDdl()

### setCreateTableDdl

    public void setCreateTableDdl(String createTableDdl)

### getBlockSize

    public long getBlockSize()

### setBlockSize

    public void setBlockSize(long blockSize)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.